org.apache.solr.handler.component

## Class TermVectorComponent

- java.lang.Object
- - org.apache.solr.handler.component.SearchComponent
  - - org.apache.solr.handler.component.TermVectorComponent

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin, SolrCoreAware

      public class TermVectorComponent
      extends SearchComponent
      implements SolrCoreAware

  Return term vectors for the documents in a query result set.

  Info available: term, frequency, position, offset, payloads, IDF.

  Note Returning IDF can be expensive.

       <searchComponent name="tvComponent" class="solr.TermVectorComponent"/>

       <requestHandler name="/terms" class="solr.SearchHandler">
         <lst name="defaults">
           <bool name="tv">true</bool>
         </lst>
         <arr name="last-component">
           <str>tvComponent</str>
         </arr>
       </requestHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_NAME`
    `protected NamedList` | `initParams`
    `static String` | `TERM_VECTORS`

    - ### Fields inherited from class org.apache.solr.handler.component.SearchComponent

      `standard_components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermVectorComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finishStage(ResponseBuilder rb)` Called after all responses have been received for this stage.
    `String` | `getDescription()` Simple one or two line description
    `void` | `inform(SolrCore core)`
    `void` | `init(NamedList args)`
    `void` | `prepare(ResponseBuilder rb)` Prepare the response.
    `void` | `process(ResponseBuilder rb)` Process the request for this component

    - ### Methods inherited from class org.apache.solr.handler.component.SearchComponent

      `distributedProcess, getCategory, getDocs, getName, getSource, getStatistics, getVersion, handleResponses, modifyRequest, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_NAME

          public static final String COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### TERM_VECTORS

          public static final String TERM_VECTORS

      See Also:
        Constant Field Values

    - #### initParams

          protected NamedList initParams

  - ### Constructor Detail

    - #### TermVectorComponent

          public TermVectorComponent()

  - ### Method Detail

    - #### process

          public void process(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Process the request for this component
      Specified by:
        `process` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### prepare

          public void prepare(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Prepare the response. Guaranteed to be called before any SearchComponent `SearchComponent.process(org.apache.solr.handler.component.ResponseBuilder)` method. Called for every incoming request. The place to do initialization that is request dependent.
      Specified by:
        `prepare` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### finishStage

          public void finishStage(ResponseBuilder rb)

      Description copied from class: `SearchComponent`
      Called after all responses have been received for this stage. Useful when different requests are sent to each shard.
      Overrides:
        `finishStage` in class `SearchComponent`

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `SearchComponent`

    - #### inform

          public void inform(SolrCore core)

      Specified by:
        `inform` in interface `SolrCoreAware`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `SearchComponent`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.